Check Status by Reference
curl --request GET \
--url https://api.oneclickdz.com/v3/internet/check-ref/{ref} \
--header 'X-Access-Token: <api-key>'import requests
url = "https://api.oneclickdz.com/v3/internet/check-ref/{ref}"
headers = {"X-Access-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Access-Token': '<api-key>'}};
fetch('https://api.oneclickdz.com/v3/internet/check-ref/{ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Internet Top-Ups
Check Status by Reference
Check internet top-up status using custom reference
GET
/
v3
/
internet
/
check-ref
/
{ref}
Check Status by Reference
Overview
Track internet top-up status using your custom reference from the send request.Path Parameters
string
required
Your custom reference from
/internet/sendResponse
Identical to Check by ID. Returns top-up object with status, card code (when fulfilled), and transaction details.Examples
curl https://api.oneclickdz.com/v3/internet/check-ref/internet-order-001 \
-H "X-Access-Token: YOUR_API_KEY"
const ref = "internet-order-001";
const response = await fetch(
`https://api.oneclickdz.com/v3/internet/check-ref/${ref}`,
{ headers: { "X-Access-Token": "YOUR_API_KEY" } }
);
response = requests.get(
f'https://api.oneclickdz.com/v3/internet/check-ref/{ref}',
headers={'X-Access-Token': 'YOUR_API_KEY'}
)
<?php
$ref = 'internet-order-001';
$ch = curl_init("https://api.oneclickdz.com/v3/internet/check-ref/{$ref}");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, ['X-Access-Token: YOUR_API_KEY']);
$response = curl_exec($ch);
?>
Related
Check by ID
Full status documentation
⌘I

